Subject: [Trans] Fwd: [art] Fwd: New Version Notification for draft-nottingham-rfc7320bis-01.txt

From: Melinda Shore <[email-masked]>
Date: Wed, 28 Aug 2019 06:28:59 -0800

FYI.  Please review with an eye towards whether or not this works
with respect to 6962-bis.

Melinda

-------- Forwarded Message --------
From: 	Mark Nottingham <[email-masked]>
Message-Id: 	<[email-masked]>
References:
<[email-masked]>
To: 	ART Area <[email-masked]>
Date: 	Wed, 28 Aug 2019 10:45:37 +1000

FYI; this is a proposed revision of RFC7320 / BCP190, as discussed.

-00 was a copy of 7320; -01 proposes the revision (so the diff is
probably a good place to start).

Cheers,

> Begin forwarded message:
>
> *From: [email-masked] <mailto:[email-masked]>
> *Subject: **New Version Notification for
> draft-nottingham-rfc7320bis-01.txt*
> *Date: *27 August 2019 at 8:42:00 am AEST
> *To: *"Mark Nottingham" <[email-masked] <mailto:[email-masked]>>
>
>
> A new version of I-D, draft-nottingham-rfc7320bis-01.txt
> has been successfully submitted by Mark Nottingham and posted to the
> IETF repository.
>
> Name:draft-nottingham-rfc7320bis
> Revision:01
> Title:URI Design and Ownership
> Document date:2019-08-27
> Group:Individual Submission
> Pages:10
> URL:
>            https://www.ietf.org/internet-drafts/draft-nottingham-rfc7320bis-01.txt
> Status:
>         https://datatracker.ietf.org/doc/draft-nottingham-rfc7320bis/
> Htmlized:       https://tools.ietf.org/html/draft-nottingham-rfc7320bis-01
> Htmlized:
>       https://datatracker.ietf.org/doc/html/draft-nottingham-rfc7320bis
> Diff:
>           https://www.ietf.org/rfcdiff?url2=draft-nottingham-rfc7320bis-01
>
> Abstract:
>   Section 1.1.1 of RFC 3986 defines URI syntax as "a federated and
>   extensible naming system wherein each scheme's specification may
>   further restrict the syntax and semantics of identifiers using that
>   scheme."  In other words, the structure of a URI is defined by its
>   scheme.  While it is common for schemes to further delegate their
>   substructure to the URI's owner, publishing independent standards
>   that mandate particular forms of substructure in URIs is often
>   problematic.
>
>   This document provides guidance on the specification of URI
>   substructure in standards.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org
> <http://tools.ietf.org>.
>
> The IETF Secretariat
>

--
Mark Nottingham   https://www.mnot.net/

---

From: Rob Stradling <[email-masked]>
Date: Fri, 30 Aug 2019 21:54:20 +0000

Hi Melinda.

I've read through rfc7320bis-01.  I believe it permits the style of URL 
construction used by RFC6962 and by 6962bis-31 (and previous revisions).

Therefore, and given that Adam has cleared his DISCUSS on this matter, I 
propose to cancel 
https://github.com/google/certificate-transparency-rfcs/pull/311 and to 
revert the URL changes that were introduced by 6962bis-32.

On 28/08/2019 15:28, Melinda Shore wrote:
> _______________________________________________
> Trans mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trans
> 

-- 
Rob Stradling
Senior Research & Development Scientist
Email: [email-masked]
Bradford, UK
Office: +441274024707
Sectigo Limited

This message and any files associated with it may contain legally 
privileged, confidential, or proprietary information. If you are not the 
intended recipient, you are not permitted to use, copy, or forward it, 
in whole or in part without the express consent of the sender. Please 
notify the sender by reply email, disregard the foregoing messages, and 
delete it immediately.

---

From: Melinda Shore <[email-masked]>
Date: Fri, 30 Aug 2019 14:36:45 -0800

> revert the URL changes that were introduced by 6962bis-32.

Are there any objections/concerns among the cohort?

Melinda

-- 
Melinda Shore
[email-masked]

Software longa, hardware brevis